# $Revision: 1.8 $, $Date: 2002/08/26 18:54:21 $
Summary:	A program to extract Microsoft Cabinet files
Summary(pl):	Program do rozpakowywania plikw MS Cabinet
Name:		cabextract
Version:	0.6
Release:	2
License:	GPL
Group:		Applications/Archiving
Source0:	http://www.kyz.uklinux.net/downloads/%{name}-%{version}.tar.gz
Patch0:		%{name}-configure.patch
Patch1:		%{name}-segv.patch
URL:		http://www.kyz.uklinux.net/cabextract.php3
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cabinet (.CAB) files are a form of archive, which Microsoft use to
distribute their software, and things like Windows Font Packs. The
cabextract program simply unpacks such files.

%description -l pl
Pliki Cabinet (.CAB) s rodzajem archiwum, ktry Miscrosoft uywa do
dystrybucji swojego oprogramowania i rzeczy typu Windows Font Pack.
cabextract moe takie pliki rozpakowa.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR="$RPM_BUILD_ROOT"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: cabextract.spec,v $
Revision 1.8  2002/08/26 18:54:21  qboosh
- changed configure patch to The Right Way(tm)
- segv patch: kill SEGV on compression type change
- release 2

Revision 1.7  2002/08/25 20:23:09  marcus
- fixed for PLD ac/am stuff

Revision 1.6  2002/08/25 20:11:45  marcus
- use new %%doc
- new version 0.6

Revision 1.5  2002/05/21 23:12:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.4  2002/04/25 15:56:42  arturs
fixed a small typo

Revision 1.3  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/18 02:12:32  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/09/21 13:30:46  qboosh
- new, based on spec from tar.gz

